import request from "../../utils/service/index";
//登录
export const userLogin = (data) => {
  return request({
    url: "/user/v2/login",
    method: "POST",
    data,
  });
};
//验证码
export const userSend = (data) => {
  return request({
    url: "/user/send",
    method: "POST",
    data,
  });
};
//扫码查看画桶详情
export const pbDetail = (data) => {
  return request({
    url: "/containeradm/v1/painting_bucket/get_by_id",
    method: "POST",
    data,
  });
};
//查询可放画桶的空闲货架孔
export const freebox = (data) => {
  return request({
    url: "/containeradm/v1/box_rel_bucket/freebox",
    method: "POST",
    data,
  });
};
//出库
export const outbound = (data) => {
  return request({
    url: "/containeradm/v1/box_rel_bucket/outbound",
    method: "POST",
    data,
  });
};
//查询哪些画作可以拿来添加或者更换
export const creChangepainting = (data) => {
  return request({
    url: "/containeradm/v1/painting_bucket/select_painting",
    method: "POST",
    data,
  });
};
//画桶绑定到空闲货架孔
export const bind = (data) => {
  return request({
    url: "/containeradm/v1/box_rel_bucket/bind",
    method: "POST",
    data,
  });
};
//画桶添加或者更换画作
export const add = (data) => {
  return request({
    url: "/containeradm/v1/painting_bucket/add_replace",
    method: "POST",
    data,
  });
};
//查询货架号是否可用
export const check_freebox = (data) => {
  return request({
    url: "/containeradm/v1/box_rel_bucket/check_freebox",
    method: "POST",
    data,
  });
};
//入库取消
export const cancel = (data) => {
  return request({
    url: "/containeradm/v1/box_rel_bucket/cancel_freebox",
    method: "POST",
    data,
  });
};
export const getRules = (data) => {
  return request({
    url: "/rule/rules",
    method: "POST",
    data,
  });
};
