export default function globalComponents(app) {
  // 全局组件
  const components = import.meta.glob("./**/**.{vue,tsx}", { eager: true });
  for (let [key, value] of Object.entries(components)) {
    const name = key.replace("./", "").split("/")[0];
    app.component(value.default.name || name, value.default);
  }
}
